# Generated by Django 5.0.10 on 2025-01-14 03:19

import django.db.models.deletion

from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("measurements", "0005_remove_energymeasurement_transd_date_cum_measure_and_more"),
        ("devices", "0002_rename_transductor_to_meter_tables"),
    ]

    operations = [
        migrations.RemoveIndex(
            model_name="energymeasurement",
            name="idx_transd_date_cum_measure",
        ),
        migrations.RemoveIndex(
            model_name="instantmeasurement",
            name="idx_transd_date_inst_measure",
        ),
        migrations.AlterField(
            model_name="energymeasurement",
            name="meter",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT, related_name="energy_measurements", to="devices.meter"
            ),
        ),
        migrations.AlterField(
            model_name="instantmeasurement",
            name="meter",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT, related_name="instant_measurements", to="devices.meter"
            ),
        ),
        migrations.AlterField(
            model_name="referencemeasurement",
            name="meter",
            field=models.OneToOneField(
                on_delete=django.db.models.deletion.PROTECT, related_name="reference_measurement", to="devices.meter"
            ),
        ),
    ]
